Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.ast
Class Utils.BooleanDecoration

    java.lang.Object
      javafe.ast.ASTDecoration
          escjava.ast.Utils.BooleanDecoration

Enclosing class:
  Utils

public abstract static class Utils.BooleanDecoration
extends ASTDecoration

Field Summary
`private static java.lang.Object` | `decFALSE`
`private static java.lang.Object` | `decTRUE`

Fields inherited from class javafe.ast.ASTDecoration
``

Constructor Summary
`Utils.BooleanDecoration(java.lang.String s)`

Method Summary
`abstract boolean` | `calculate(ASTNode o)`
`boolean` | `isTrue(ASTNode o)`
`void` | `set(ASTNode o, boolean b)`

Methods inherited from class javafe.ast.ASTDecoration
`get, set, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### decFALSE

    private static final java.lang.Object decFALSE

### decTRUE

    private static final java.lang.Object decTRUE

Constructor Detail

### Utils.BooleanDecoration

    public Utils.BooleanDecoration(java.lang.String s)

Method Detail

### set

    public void set(ASTNode o,
                    boolean b)

### isTrue

    public boolean isTrue(ASTNode o)

### calculate

    public abstract boolean calculate(ASTNode o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage